Creates a new unavailability
Request Information
URI Parameters :
None.
Body Parameters :
user_unavailability| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| date_start |
Date+Time of the beginning |
date |
Required |
| date_end |
Date+Time of the end |
date |
Required |
| modified_dateutc |
Date+Time of the modified |
date |
Required |
| description |
Description of the unavailability |
string |
Max length: 255 |
| is_approved |
Indicate if this object has been approved using a User Week Approval |
boolean | |
| user_id |
User owner of this unavailability |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_unavailability |
user |
Optionally required : user_id, user_code or user must be provided |
| user_unavailability_type_id |
Type of the unavailability, cf model user_unavailability_type |
globally unique identifier |
Required Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type_code |
Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type |
Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability |
user_unavailability_type |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
Request Formats :
application/json, text/json
{
"id": "1ecc749b-b44e-4e7f-b8d0-4d1c1a167f17",
"date_start": "2026-11-22T22:30:36.435902+00:00",
"date_end": "2026-11-22T22:30:36.435902+00:00",
"modified_dateutc": "2026-11-22T22:30:36.435902+00:00",
"description": "sample string 5",
"is_approved": true,
"user_id": "d9dd8580-203e-417f-a12c-f82b05dc0326",
"user_code": "sample string 8",
"user": {
"id": "267b5ee0-fe3c-4730-9833-63c84c468ffe",
"db_language_id": "064a1abd-7c05-45bf-b5de-5a3242b230c7",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-22T22:30:36.435902+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "18a7c784-ff1e-4b32-823e-e52e884ae59c",
"sales_organization": {
"id": "99e63554-09b7-45fd-a4b0-493f13b57625",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "2a1e3e8f-b1c2-4a40-975c-0ae5b515d9f5",
"db_currency_id": "457d7e5a-b167-4540-9023-fcb7d4891a99",
"db_language_id": "49ea4ca7-d3f9-4834-b5b1-4e88bf9b8dcd",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-22T22:30:36.4556792+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "0bb620ec-4896-45e4-b3a1-0fdb37c9ca5e",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "3a92f021-7013-4d30-a558-a8db771c7876",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-22T22:30:36.467095+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "1439bceb-a3b2-4670-9ea9-06def198f513"
},
"user_unavailability_type_id": "9a82201b-8018-4679-b660-e569f27d2086",
"user_unavailability_type_code": "sample string 10",
"user_unavailability_type": {
"id": "10075552-fcfa-41c2-a772-0b74c66f808e",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "844fd208-cc4a-4878-8e83-26cc7b43e021",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "99e63554-09b7-45fd-a4b0-493f13b57625",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "2a1e3e8f-b1c2-4a40-975c-0ae5b515d9f5",
"db_currency_id": "457d7e5a-b167-4540-9023-fcb7d4891a99",
"db_language_id": "49ea4ca7-d3f9-4834-b5b1-4e88bf9b8dcd",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-22T22:30:36.4556792+00:00"
},
"modified_dateutc": "2026-11-22T22:30:36.467095+00:00"
}
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.